## Text Inputs

<div class="code-example">
<div class="code-example__content">

<fieldset>
  <div class="field-instruct">
    <label for="">Label</label>
  </div>
  <div class="field-control">
    <input type="text">
  </div>
</fieldset>

<fieldset class="fieldset-required">
  <div class="field-instruct">
    <label for="">Required with Placeholder</label>
  </div>
  <div class="field-control">
    <input type="text" placeholder="Placeholder...">
  </div>
</fieldset>

<fieldset>
  <div class="field-instruct">
    <label for="">Disabled Input</label>
  </div>
  <div class="field-control">
    <input type="text" disabled>
  </div>
</fieldset>

<fieldset>
  <div class="field-instruct">
    <label for="">Input with Instructions</label>
    <em>Instructions for this field appear here.</em>
  </div>
  <div class="field-control">
    <input type="text">
  </div>
</fieldset>

<fieldset>
<div class="field-instruct">
  <label for="">Input with Icons</label>
</div>
  <div class="field-control with-icon-start with-icon-end">
    <i class="fas fa-search fa-fw icon-start"></i>
    <input type="text" placeholder="Search...">
    <i class="fas fa-arrow-right fa-fw icon-end"></i>
  </div>
</fieldset>

<fieldset>
<div class="field-instruct">
  <label for="">Input with Shortcut</label>
</div>
  <div class="field-control with-input-shortcut">
    <input type="text" placeholder="Search...">
    <span class="input-shortcut">⌘J</span>
  </div>
</fieldset>

<fieldset class="fieldset-required fieldset-invalid">
	<div class="field-instruct ">
		<label>Validation Error</label>
	</div>
	<div class="field-control">
  	<input type="text">
    <em class="ee-form-error-message">This field is required.</em>
  </div>
</fieldset>

<fieldset>
  <div class="field-instruct">
    <label for="">Small Input</label>
  </div>
  <div class="field-control">
    <input type="text" class="input--small">
  </div>
</fieldset>

</div>
</div>

## Textarea

<div class="code-example">
<div class="code-example__content">

<fieldset>
  <div class="field-instruct">
    <label for="">Textarea Normal</label>
  </div>
  <div class="field-control">
    <textarea>Class aptent taciti sociosqu ad litora torquent per conubia nostra, per inceptos himenaeos. Sed molestie augue sit amet leo consequat posuere. Vestibulum ante ipsum primis in faucibus orci luctus et ultrices posuere cubilia Curae; Proin vel ante a orci tempus eleifend ut et magna. Lorem ipsum dolor sit amet, consectetur adipiscing elit. Vivamus luctus urna sed urna ultricies ac tempor dui sagittis. In condimentum facilisis porta. Sed nec diam eu diam mattis viverra. Nulla fringilla, orci ac euismod semper, magna diam porttitor mauris, quis sollicitudin sapien justo in libero. Vestibulum mollis mauris enim. Morbi euismod magna ac lorem rutrum elementum. Donec viverra auctor lobortis. Pellentesque eu est a nulla placerat dignissim. Morbi a enim in magna semper bibendum. Etiam scelerisque, nunc ac egestas consequat, odio nibh euismod nulla, eget auctor orci nibh vel nisi. Aliquam erat volutpat. Mauris vel neque sit amet nunc gravida congue sed sit amet purus. Quisque lacus quam, egestas ac tincidunt a, lacinia vel velit. Aenean facilisis nulla vitae urna tincidunt congue sed ut dui. Morbi malesuada nulla.</textarea>
  </div>
</fieldset>

<fieldset>
  <div class="field-instruct">
    <label for="">Textarea Tall</label>
  </div>
  <div class="field-control">
    <textarea class="tall">Class aptent taciti sociosqu ad litora torquent per conubia nostra, per inceptos himenaeos. Sed molestie augue sit amet leo consequat posuere. Vestibulum ante ipsum primis in faucibus orci luctus et ultrices posuere cubilia Curae; Proin vel ante a orci tempus eleifend ut et magna. Lorem ipsum dolor sit amet, consectetur adipiscing elit. Vivamus luctus urna sed urna ultricies ac tempor dui sagittis. In condimentum facilisis porta. Sed nec diam eu diam mattis viverra. Nulla fringilla, orci ac euismod semper, magna diam porttitor mauris, quis sollicitudin sapien justo in libero. Vestibulum mollis mauris enim. Morbi euismod magna ac lorem rutrum elementum. Donec viverra auctor lobortis. Pellentesque eu est a nulla placerat dignissim. Morbi a enim in magna semper bibendum. Etiam scelerisque, nunc ac egestas consequat, odio nibh euismod nulla, eget auctor orci nibh vel nisi. Aliquam erat volutpat. Mauris vel neque sit amet nunc gravida congue sed sit amet purus. Quisque lacus quam, egestas ac tincidunt a, lacinia vel velit. Aenean facilisis nulla vitae urna tincidunt congue sed ut dui. Morbi malesuada nulla.</textarea>
  </div>
</fieldset>

<fieldset>
  <div class="field-instruct">
    <label for="">Textarea Taller</label>
  </div>
  <div class="field-control">
    <textarea class="taller">Class aptent taciti sociosqu ad litora torquent per conubia nostra, per inceptos himenaeos. Sed molestie augue sit amet leo consequat posuere. Vestibulum ante ipsum primis in faucibus orci luctus et ultrices posuere cubilia Curae; Proin vel ante a orci tempus eleifend ut et magna. Lorem ipsum dolor sit amet, consectetur adipiscing elit. Vivamus luctus urna sed urna ultricies ac tempor dui sagittis. In condimentum facilisis porta. Sed nec diam eu diam mattis viverra. Nulla fringilla, orci ac euismod semper, magna diam porttitor mauris, quis sollicitudin sapien justo in libero. Vestibulum mollis mauris enim. Morbi euismod magna ac lorem rutrum elementum. Donec viverra auctor lobortis. Pellentesque eu est a nulla placerat dignissim. Morbi a enim in magna semper bibendum. Etiam scelerisque, nunc ac egestas consequat, odio nibh euismod nulla, eget auctor orci nibh vel nisi. Aliquam erat volutpat. Mauris vel neque sit amet nunc gravida congue sed sit amet purus. Quisque lacus quam, egestas ac tincidunt a, lacinia vel velit. Aenean facilisis nulla vitae urna tincidunt congue sed ut dui. Morbi malesuada nulla.</textarea>
  </div>
</fieldset>

</div>
</div>


## File Field

## Editable List Field

### Checklist

### Unordered List

---

## Radio Buttons

<div class="code-example">
<div class="code-example__content">

<label class="checkbox-label">
    <input name="radio-buttons" type="radio" value="web-page" checked>
    <div class="checkbox-label__text">Web Page (HTML)</div>
</label>

<label class="checkbox-label">
    <input name="radio-buttons" type="radio" value="javascript">
    <div class="checkbox-label__text">JavaScript</div>
</label>

<label class="checkbox-label">
    <input name="radio-buttons" type="radio" value="rss-page">
    <div class="checkbox-label__text">RSS Page</div>
</label>

</div><div class="code-example__code">
```html
<label class="checkbox-label">
    <input name="radio-buttons" type="radio" value="web-page">
    <div class="checkbox-label__text">Web Page (HTML)</div>
</label>
```
</div>
</div>

## Checkboxes

<div class="code-example">
<div class="code-example__content">

<label class="checkbox-label">
    <input name="checkboxes-1" type="checkbox" checked>
    <div class="checkbox-label__text">Option 1</div>
</label>
<label class="checkbox-label">
    <input name="checkboxes-2" type="checkbox" disabled>
    <div class="checkbox-label__text">Option 2 (disabled)</div>
</label>
<label class="checkbox-label">
    <input name="checkboxes-3" type="checkbox" value="">
    <div class="checkbox-label__text">Option 3</div>
</label>

</div><div class="code-example__code">
```html
<label class="checkbox-label">
    <input name="checkboxes-1" type="checkbox" checked>
    <div class="checkbox-label__text">Option 1</div>
</label>
<label class="checkbox-label">
    <input name="checkboxes-2" type="checkbox" disabled>
    <div class="checkbox-label__text">Option 2 (disabled)</div>
</label>
<label class="checkbox-label">
    <input name="checkboxes-3" type="checkbox" value="">
    <div class="checkbox-label__text">Option 3</div>
</label>
```
</div>
</div>

## Color Picker

<div class="code-example">
<div class="code-example__content" style="min-height: 270px;">

<div class="colorpicker"><input class="colorpicker__input" type="text" name="highlight" value="#000000"><span class="colorpicker__input-color" style="border-color: rgb(0, 0, 0);"><span style="background: rgb(0, 0, 0) none repeat scroll 0% 0%;"></span></span>
	<div class="colorpicker__panel">
		<div class="colorpicker__controls">
			<div class="colorpicker__hue-box" style="background: red;">
				<div class="colorpicker__hue-box-knob" style="background: #000; top: 114px; left: -6px;"></div>
			</div>
			<div class="colorpicker__slider colorpicker__hue-slider">
				<div class="colorpicker__slider-knob" style="background: rgb(255, 0, 0) none repeat scroll 0% 0%; top: 0px;"></div>
			</div>
            <div class="colorpicker__slider colorpicker__opacity-slider">
                <div class="colorpicker__slider-knob" style="background: red;"></div>
                <div class="colorpicker__slider-inner" style="background: linear-gradient(to bottom, red, rgba(255,0, 0, 0));"></div>
            </div>
		</div>
		<div class="colorpicker__swatches">
			<div class="colorpicker__swatch " data-color="FA5252" style="background-color: rgb(250, 82, 82); border-color: rgb(212, 44, 44);"></div>
			<div class="colorpicker__swatch " data-color="FD7E14" style="background-color: rgb(253, 126, 20); border-color: rgb(215, 88, 0);"></div>
			<div class="colorpicker__swatch " data-color="FCC419" style="background-color: rgb(252, 196, 25); border-color: rgb(214, 158, 0);"></div>
			<div class="colorpicker__swatch " data-color="40C057" style="background-color: rgb(64, 192, 87); border-color: rgb(26, 154, 49);"></div>
			<div class="colorpicker__swatch " data-color="228BE6" style="background-color: rgb(34, 139, 230); border-color: rgb(0, 101, 192);"></div>
			<div class="colorpicker__swatch " data-color="BE4BDB" style="background-color: rgb(190, 75, 219); border-color: rgb(152, 37, 181);"></div>
			<div class="colorpicker__swatch " data-color="F783AC" style="background-color: rgb(247, 131, 172); border-color: rgb(209, 93, 134);"></div>
		</div>
	</div>
</div>
</div><div class="code-example__code">
```html
<div class="colorpicker">
    <input class="colorpicker__input" type="text" value="#000000">
    <span class="colorpicker__input-color" style="border-color: rgb(0, 0, 0);">
        <span style="background: #000;"></span>
    </span>

	<div class="colorpicker__panel">
		<div class="colorpicker__controls">
			<div class="colorpicker__hue-box" style="background: red;">
				<div class="colorpicker__hue-box-knob" style="background: #000;"></div>
			</div>
			<div class="colorpicker__slider colorpicker__hue-slider">
				<div class="colorpicker__slider-knob" style="background: red;"></div>
			</div>
            <div class="colorpicker__slider colorpicker__opacity-slider">
                <div class="colorpicker__slider-knob" style="background: red;"></div>
                <div className="colorpicker__slider-inner" style="background: blue;"></div>
            </div>
		</div>
		<div class="colorpicker__swatches">
			<div class="colorpicker__swatch " style="background-color: rgb(250, 82, 82); border-color: rgb(212, 44, 44);"></div>
			<div class="colorpicker__swatch " style="background-color: rgb(253, 126, 20); border-color: rgb(215, 88, 0);"></div>
			<div class="colorpicker__swatch " style="background-color: rgb(252, 196, 25); border-color: rgb(214, 158, 0);"></div>
			<div class="colorpicker__swatch " style="background-color: rgb(64, 192, 87); border-color: rgb(26, 154, 49);"></div>
			<div class="colorpicker__swatch " style="background-color: rgb(34, 139, 230); border-color: rgb(0, 101, 192);"></div>
			<div class="colorpicker__swatch " style="background-color: rgb(190, 75, 219); border-color: rgb(152, 37, 181);"></div>
			<div class="colorpicker__swatch " style="background-color: rgb(247, 131, 172); border-color: rgb(209, 93, 134);"></div>
		</div>
	</div>
</div>
```
</div>
</div>



## Toggle <span class="meta-info">(LEGACY)</span>

<div class="code-example">
<div class="code-example__content">

<p>Off</p>
<a href="#" class="toggle-btn yes_no off">
    <input type="hidden" name="allow_php" value="n">
    <span class="slider"></span>
    <span class="option"></span>
</a>


<p>On</p>
<a href="#" class="toggle-btn yes_no on">
    <input type="hidden" name="allow_php" value="n">
    <span class="slider"></span>
    <span class="option"></span>
</a>

</div><div class="code-example__code">
```html
<a class="toggle-btn yes_no off">
    <input type="hidden" name="allow_php" value="n">
    <span class="slider"></span>
    <span class="option"></span>
</a>
```
</div>
</div>

---

## Select

<div class="code-example">
<div class="code-example__content">

<fieldset>
  <div class="field-instruct">
    <label for="">Normal</label>
  </div>
  <div class="field-control">
    <select class="select-popup">
      <option value="volvo">Volvo</option>
      <option value="saab">Saab</option>
      <option value="mercedes">Mercedes</option>
      <option value="audi">Audi</option>
    </select>
  </div>
</fieldset>

<fieldset>
  <div class="field-instruct">
    <label for="">Small</label>
  </div>
  <div class="field-control">
    <select class="select-popup button--small">
      <option value="volvo">Volvo</option>
      <option value="saab">Saab</option>
      <option value="mercedes">Mercedes</option>
      <option value="audi">Audi</option>
    </select>
  </div>
</fieldset>

</div>
</div>

## Custom Select

Basic custom select dropdown

<div class="code-example">
<div class="code-example__content">

<div class="select">
    <div class="select__button">
        <label class="select__button-label">Choose Wisely</label>
    </div>

    <div class="select__dropdown">
        <div class="select__dropdown-items">
            <div class="select__dropdown-item">1 Hours</div>
            <div class="select__dropdown-item">2 Hours</div>
            <div class="select__dropdown-item">3 Hours</div>
        </div>
    </div>
</div>

</div>
</div>

### Custom Select Open

Use the modifier class `select--open`.

<div class="code-example">
<div class="code-example__content" style="min-height: 235px;">

<div class="select select--open">
    <div class="select__button">
        <label class="select__button-label">Choose Wisely</label>
    </div>

    <div class="select__dropdown">
        <div class="select__dropdown-items">
            <div class="select__dropdown-item">1 Hours</div>
            <div class="select__dropdown-item">2 Hours</div>
            <div class="select__dropdown-item">3 Hours</div>
        </div>
    </div>
</div>

</div>
</div>

### Custom Select with Search Field

<div class="code-example">
<div class="code-example__content" style="min-height: 295px;">

<div class="select select--open">
    <div class="select__button">
        <label class="select__button-label">Choose Wisely</label>
    </div>

    <div class="select__dropdown">
        <div class="select__dropdown-search">
            <input type="text" class="input--small" placeholder="Search..."/>
        </div>

        <div class="select__dropdown-items">
            <div class="select__dropdown-item">Falcon</div>
            <div class="select__dropdown-item">Crow</div>
            <div class="select__dropdown-item">Eagle</div>
        </div>
    </div>
</div>

</div>
</div>

---

## Fluid Field

<div class="code-example">
<div class="code-example__content" style="min-height: 270px;">

<div class="fluid">
    <div class="fluid__item fluid__item--reorderable">
        <div class="fluid__item-content">
            <div class="fluid__item-fieldset">
                <div class="field-instruct">
                    <label>Heading</label>
                </div>
            </div>
            <div class="fluid__item-field">
                <input type="text" name="" value="What an awesome title!" id="">
            </div>
        </div>
        <div class="fluid__item-tools">
            <a href="" class="fluid__item-tool"><i class="fas fa-fw fa-cog"></i></a>
            <a href="" class="fluid__item-tool"><i class="fas fa-fw fa-plus"></i></a>
        </div>
    </div>
    <div class="fluid__item">
        <div class="fluid__item-content">
        <div class="fluid__fieldset">
            <div class="field-instruct">
                <label>Body</label>
                <em>Markdown formated</em>
            </div>
        </div>
        <div class="fluid__item-field">
            <textarea name="" id="" cols="30" rows="3">Est omnes singulis ut. Ei laoreet nostrum molestie mel, dicant feugiat ex vel. Simul scripta pro te, per ex quodsi elaboraret suscipiantur. No enim eloquentiam philosophia pri, mea ad assentior moderatius complectitur.</textarea>
        </div>
        </div>
        <div class="fluid__item-tools">
            <a href="" class="fluid__item-tool"><i class="fas fa-fw fa-trash-alt"></i></a>
        </div>
    </div>
    <div class="fluid__item fluid__item--collapsed">
        <div class="fluid__item-content">
        <div class="fluid__fieldset">
            <div class="field-instruct">
                <label>Collapsed Field</label>
                <!-- <em>The full URL to the website</em> -->
            </div>
        </div>
        <div class="fluid__item-field">
            <input type="url" name="" placeholder="https://" id="">
        </div>
        </div>
        <div class="fluid__item-tools">
            <a href="" class="fluid__item-tool"><i class="fas fa-fw fa-angle-double-down"></i></a>
        </div>
    </div>

    <div></div>

    <div class="fluid__add-fields">
        <div>
            <i data-feather="image"></i>
            <span>Add Image</span>
        </div>
        <div>
            <i data-feather="type"></i>
            <span>Add Heading</span>
        </div>
        <div>
            <i data-feather="feather"></i>
            <span>Add Body</span>
        </div>
        <div>
            <i data-feather="link"></i>
            <span>Add URL</span>
        </div>
        <div>
            <i data-feather="image"></i>
            <span>Add Image</span>
        </div>
    </div>

    <!-- <div class="fluid__footer">
        <a href="" class="button button--secondary">Add</a>
    </div> -->
</div>

</div>
</div>
